import {URI}from'@vscode-alt/monaco-editor/esm/vs/base/common/uri.js';class IdObject {
    _id;
    static _n = 0;
    static mixin(object) {
        object._id = IdObject._n++;
        return object;
    }
}
// needed
var ISuggestDataDtoField;
(function (ISuggestDataDtoField) {
    ISuggestDataDtoField["label"] = "a";
    ISuggestDataDtoField["kind"] = "b";
    ISuggestDataDtoField["detail"] = "c";
    ISuggestDataDtoField["documentation"] = "d";
    ISuggestDataDtoField["sortText"] = "e";
    ISuggestDataDtoField["filterText"] = "f";
    ISuggestDataDtoField["preselect"] = "g";
    ISuggestDataDtoField["insertText"] = "h";
    ISuggestDataDtoField["insertTextRules"] = "i";
    ISuggestDataDtoField["range"] = "j";
    ISuggestDataDtoField["commitCharacters"] = "k";
    ISuggestDataDtoField["additionalTextEdits"] = "l";
    ISuggestDataDtoField["command"] = "m";
    ISuggestDataDtoField["kindModifier"] = "n";
    // to merge into label
    ISuggestDataDtoField["label2"] = "o";
})(ISuggestDataDtoField || (ISuggestDataDtoField = {}));
var ISuggestResultDtoField;
(function (ISuggestResultDtoField) {
    ISuggestResultDtoField["defaultRanges"] = "a";
    ISuggestResultDtoField["completions"] = "b";
    ISuggestResultDtoField["isIncomplete"] = "c";
    ISuggestResultDtoField["duration"] = "d";
})(ISuggestResultDtoField || (ISuggestResultDtoField = {}));
function reviveWorkspaceEditDto(data) {
    if (data && data.edits) {
        for (const edit of data.edits) {
            if (typeof edit.resource === 'object') {
                edit.resource = URI.revive(edit.resource);
            }
            else {
                edit.newUri = URI.revive(edit.newUri);
                edit.oldUri = URI.revive(edit.oldUri);
            }
        }
    }
    return data;
}
var ObjectIdentifier;
(function (ObjectIdentifier) {
    ObjectIdentifier.name = '$ident';
    function mixin(obj, id) {
        Object.defineProperty(obj, ObjectIdentifier.name, { value: id, enumerable: true });
        return obj;
    }
    ObjectIdentifier.mixin = mixin;
    function of(obj) {
        return obj[ObjectIdentifier.name];
    }
    ObjectIdentifier.of = of;
})(ObjectIdentifier || (ObjectIdentifier = {}));export{ISuggestDataDtoField,ISuggestResultDtoField,IdObject,ObjectIdentifier,reviveWorkspaceEditDto};